'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */

    const t = await queryInterface.sequelize.transaction();

    try {
      await queryInterface.addColumn(
        "Accounts", // table name
        "requestedBy", // new field name

        {
          type: Sequelize.STRING,
          allowNull: true,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "Accounts", // table name
        "foundedYear", // new field name

        {
          type: Sequelize.INTEGER,
          allowNull: true,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "Accounts", // table name
        "latestFundingAmount", // new field name

        {
          type: Sequelize.FLOAT,
          allowNull: true,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "Accounts", // table name
        "lastRaisedAt", // new field name

        {
          type: Sequelize.DATE,
          allowNull: true,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "Accounts", // table name
        "seoDescription", // new field name

        {
          type: Sequelize.TEXT,
          allowNull: true,
        }, {
          transaction: t
        }
      );


      await queryInterface.addColumn(
        "Accounts", // table name
        "keywords", // new field name

        {
          type: Sequelize.ARRAY(Sequelize.STRING),
          allowNull: true,
        }, {
          transaction: t
        }
      );

      await t.commit();
    } catch (error) {
      await t.rollback();
      throw error;
    }
  },

  async down(queryInterface, Sequelize) {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};
