'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */

    const t = await queryInterface.sequelize.transaction();

    try {
      await queryInterface.addColumn(
        "Jobs", // table name
        "dupSupCheckSuccessCount", // new field name
        {
          type: Sequelize.BIGINT,
          defaultValue: 0,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "Jobs", // table name
        "dupSupCheckErrorCount", // new field name
        {
          type: Sequelize.BIGINT,
          defaultValue: 0,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "Jobs", // table name
        "detectedDuplicateCount", // new field name
        {
          type: Sequelize.BIGINT,
          defaultValue: 0,
        }, {
          transaction: t
        }
      );

      await t.commit();
    } catch (error) {
      await t.rollback();
      throw error;
    }
  },

  down: async (queryInterface, Sequelize) => {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};