'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */

    const t = await queryInterface.sequelize.transaction();

    try {
      await queryInterface.removeColumn(
        'Accounts', // name of Target model
        'tokens', // name of the key we're removing
        {
          transaction: t
        }
      );

      await queryInterface.removeColumn(
        'VerifyAccounts', // name of Target model
        'tokens', // name of the key we're removing
        {
          transaction: t
        }
      );

      await t.commit();
    } catch (error) {
      await t.rollback();
      throw error;
    }
  },

  down: async (queryInterface, Sequelize) => {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};