'use strict';

module.exports = {
  async up (queryInterface, Sequelize) {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */

     const t = await queryInterface.sequelize.transaction();

     try {
       await queryInterface.removeColumn(
         'Jobs', // name of Target model
         'dupSupCheckSuccessCount', // name of the key we're removing
         {
           transaction: t
         }
       );
 
       await queryInterface.removeColumn(
         'Jobs', // name of Target model
         'dupSupCheckErrorCount', // name of the key we're removing
         {
           transaction: t
         }
       );

       await queryInterface.removeColumn(
        'Jobs', // name of Target model
        'detectedDuplicateCount', // name of the key we're removing
        {
          transaction: t
        }
      );
 
       await t.commit();
     } catch (error) {
       await t.rollback();
       throw error;
     }
  },

  async down (queryInterface, Sequelize) {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};
