'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */
    const t = await queryInterface.sequelize.transaction();

    try {
      await queryInterface.renameColumn(
        'Accounts',
        'itSpent',
        'itSpend', {
          transaction: t
        }
      );

      await queryInterface.renameColumn(
        'VerifyAccounts',
        'itSpent',
        'itSpend', {
          transaction: t
        }
      );

      await t.commit();
    } catch (error) {
      await t.rollback();
      throw error;
    }
  },

  down: async (queryInterface, Sequelize) => {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};