'use strict';

module.exports = {
  async up (queryInterface, Sequelize) {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */

     const t = await queryInterface.sequelize.transaction();

     try {
      await queryInterface.addColumn(
        "Accounts", // table name
        "disposition", // new field name
        {
          type: Sequelize.STRING,
          defaultValue: "Active Account",
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "Accounts", // table name
        "comments", // new field name
        {
          type: Sequelize.TEXT,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "VerifyAccounts", // table name
        "parentAccountDomain", // new field name
        {
          type: Sequelize.STRING,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "VerifyAccounts", // table name
        "disposition", // new field name
        {
          type: Sequelize.STRING,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "VerifyAccounts", // table name
        "comments", // new field name
        {
          type: Sequelize.TEXT,
        }, {
          transaction: t
        }
      );

      await queryInterface.addColumn(
        "VerifyAccounts", // table name
        "createdUserEmail", // new field name
        {
          type: Sequelize.STRING,
        }, {
          transaction: t
        }
      );
      await t.commit();
    } catch (error) {
      await t.rollback();
      throw error;
    }
  },

  async down (queryInterface, Sequelize) {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};
