'use strict';

module.exports = {
  async up (queryInterface, Sequelize) {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */

     const t = await queryInterface.sequelize.transaction();

     try {
      await queryInterface.addColumn(
        "Locations", // table name
        "region", // new field name
        {
          type: Sequelize.STRING,
        }, {
          transaction: t
        }
      );

      await t.commit();
    } catch (error) {
      await t.rollback();
      throw error;
    }
  },

  async down (queryInterface, Sequelize) {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};
