'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class FileChunk extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
      FileChunk.belongsTo(models.File, {
        onDelete: "RESTRICT",
        foreignKey: {
          allowNull: false,
        }
      });
    }
  };

  FileChunk.init({
    id: {
        type: DataTypes.STRING,
        primaryKey: true,
        allowNull: false,
    },
    processed: {
      type: DataTypes.INTEGER,
      defaultValue: 0
    },
    error: {
      type: DataTypes.INTEGER,
      defaultValue: 0
    },
    success: {
      type: DataTypes.INTEGER,
      defaultValue: 0
    },
    size: {
      type: DataTypes.INTEGER,
      defaultValue: 0
    },
    status: {
      type: DataTypes.STRING,
      validate: {
        isIn: {
            args: [
              ["Done", "Error", "Processing"]
            ],
            msg: "Status must be 'Done', 'Error' or 'Processing'"
        }
      },
      allowNull: false,
    }
  }, {
    sequelize,
    modelName: 'FileChunk',
    timestamps: true,
    indexes: [],
  });
  return FileChunk;
};