"use strict";
const {
  Model
} = require("sequelize");

module.exports = (sequelize, DataTypes) => {
  class VerifyAccount extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
  }

  VerifyAccount.init({
    name: {
      type: DataTypes.STRING,
    },
    website: {
      type: DataTypes.STRING,
    },
    domain: {
      type: DataTypes.STRING,
      primaryKey: true,
      allowNull: false,
    },
    type: {
      type: DataTypes.STRING,
    },
    aliasName: {
      type: DataTypes.JSON,
    },
    email: {
      type: DataTypes.STRING,
    },
    industry: {
      type: DataTypes.STRING,
    },
    subIndustry: {
      type: DataTypes.STRING,
    },
    sicCode: {
      type: DataTypes.INTEGER,
    },
    sicDescription: {
      type: DataTypes.STRING,
    },
    naicsCode: {
      type: DataTypes.INTEGER,
    },
    naicsDescription: {
      type: DataTypes.STRING,
    },
    employeeRange: {
      type: DataTypes.STRING,
    },
    employeeSize: {
      type: DataTypes.INTEGER,
    },
    employeeSizeLI: {
      type: DataTypes.INTEGER,
    },
    employeeSizeZPlus: {
      type: DataTypes.INTEGER,
    },
    employeeSizeOthers: {
      type: DataTypes.INTEGER,
    },
    revenue: {
      type: DataTypes.FLOAT,
    },
    revenueRange: {
      type: DataTypes.STRING,
    },
    totalFunding: {
      type: DataTypes.FLOAT,
    },
    itSpend: {
      type: DataTypes.FLOAT,
    },
    liUrl: {
      type: DataTypes.TEXT,
    },
    description: {
      type: DataTypes.TEXT,
    },
    duns: {
      type: DataTypes.INTEGER,
    },
    technology: {
      type: DataTypes.ARRAY(DataTypes.STRING)
    },
    tags: {
      type: DataTypes.ARRAY(DataTypes.STRING)
    },
    location: {
      type: DataTypes.JSON
    },
    downloadingJobId: {
      type: DataTypes.STRING,
    },
    disposition: {
      type: DataTypes.STRING,
    },
    comments: {
      type: DataTypes.TEXT,
    },
    createdUserEmail: {
      type: DataTypes.STRING,
    },
    parentAccountDomain: {
      type: DataTypes.STRING,
    },
  }, {
    sequelize,
    modelName: "VerifyAccount",
    timestamps: true,
    indexes: [
      {
        fields: ["downloadingJobId"],
      }
    ]
  });
  return VerifyAccount;
};
