module.exports = Object.freeze({
  USER_ROLES: {
    MANAGER: "manager",
    AGENT: "agent",
    COMPLIANCE: "compliance",
  },
  SORT_VALUE: {
    ASC: "asc",
    DESC: "desc",
  },
  FILE_TYPES: {
    IMPORT: "Import",
    EXPORT: "Export",
  },
  UPLOAD_FILE_OPERATIONS: {
    ACCOUNT_IMPORT: "accountImport",
    CONTACT_IMPORT: "contactImport",
    ACCOUNT_META_IMPORT: "accountMetaImport",
    ACCOUNT_TECHNOLOGY_IMPORT: "accountTechnologyImport",
  },
  ASYNC_DOWNLOAD_FILE_OPERATIONS: {
    ASYNC_ACCOUNT_EXPORT: "asyncAccountExport",
    ASYNC_VERIFY_ACCOUNT_EXPORT: "asyncVerifyAccountExport",
    ASYNC_CONTACT_EXPORT: "asyncContactExport",
  },
  SYNC_DOWNLOAD_FILE_OPERATIONS: {
    SYNC_ACCOUNT_EXPORT: "syncAccountExport",
    SYNC_CONTACT_EXPORT: "syncContactExport",
  },
  JOB_STATUS: {
    QUEUED: "Queued",
    PROCESSING: "Processing",
    COMPLETED: "Completed",
    FAILED: "Failed",
    PREPARING: "Preparing",
    VERIFYING: "Verifying",
    CANCELLED: "Cancelled",
    VERIFIED: "Verified",
  },
  FILE_CHUNK_STATUS: {
    DONE: "Done",
    ERROR: "Error",
    PROCESSING: "Processing",
  },
  JOB_ERROR_TYPE: {
    ROW: "row",
    CHUNK: "chunk",
    JOB: "job",
  },
  EMPLOYEE_RANGES: [
    "0 - 10",
    "11 - 50",
    "51 - 200",
    "201 - 500",
    "501 - 1,000",
    "1,001 - 5,000",
    "5,001 - 10,000",
    "10,000+",
  ],
  REVENUE_RANGES: [
    "0 - $1M",
    "$1M - $10M",
    "$10M - $50M",
    "$50M - $100M",
    "$100M - $250M",
    "$250M - $500M",
    "$500M - $1B",
    "$1B - $10B",
    "$10B+",
  ],
  ACCOUNT_LIST_IMPORT_OPERATION_PARAMS: {
    ADD: "Add",
    REMOVE: "Remove",
  },
  ACCOUNT_IMPORT_TYPE: {
    SKIP: "Skip",
    OVERWRITE: "Overwrite",
    APPEND: "Append",
  },
  ACCOUNT_PREVIOUS_ATTRIBUTES: [
    "name",
    "website",
    "type",
    "industry",
    "subIndustry",
    "revenue",
    "technology",
    "employeeSize",
  ],
  ACCOUNT_TYPE: {
    PARENT: "Parent",
    SUBSIDIARY: "Subsidiary",
    INDEPENDENT: "Independent",
  },
  MILLION : 1000000,
  BILLION : 1000000000,
  LOCATION_TYPES: {
    HEAD_OFFICE: "Head Office",
    BRANCH: "Branch",
  },
  // master : GoldMine
  MASTER_GOLDMINE_MAPPING : {
    website: 'website',
    domain: 'domain',
    email: 'email',
    industry: 'industry',
    subIndustry: 'subIndustry',
    sicCode: 'sicCode',
    sicDescription: 'sicDescription',
    naicsCode: 'naicsCode',
    naicsDescription: 'naicsDescription',
    employeeRange: 'employeeRangeLI',
    employeeSize: 'employeeSize',
    upperEmployeeSize: 'upperEmployeeSize',
    lowerEmployeeSize: 'lowerEmployeeSize',
    employeeSizeLI: 'employeeSizeLI',
    employeeSizeZPlus: 'employeeSizeZ_plus',
    employeeSizeOthers: 'employeeSize_others',
    revenue: 'revenue',
    upperRevenue: 'upperRevenue',
    lowerRevenue: 'lowerRevenue',
    liUrl: 'linkedInUrl',
    description: 'description',
    phoneHQ: 'phoneHQ',
    addressHQ: 'addressHQ',
    technology: 'segment_technology',
    disposition: 'masterDisposition',
    type: 'type',
    updatedAt: 'masterUpdatedAt'
  }
});
